## Class Auth_OpenID_PAPE_Request

Description

A Provider Authentication Policy request, sent from a relying party to a provider

preferred_auth_policies: The authentication policies that the relying party prefers

max_auth_age: The maximum time, in seconds, that the relying party wants to allow to have elapsed before the user must re-authenticate

Located in /Auth/OpenID/PAPE.php (line 35)

    Auth_OpenID_Extension
       |
       --Auth_OpenID_PAPE_Request

Variable Summary
mixed $ns_alias
mixed $ns_uri
Method Summary
Auth_OpenID_PAPE_Request Auth_OpenID_PAPE_Request ([ $preferred_auth_policies = null], [ $max_auth_age = null])
void addPolicyURI ( $policy_uri)
void fromOpenIDRequest ( $request)
void getExtensionArgs ()
void parseExtensionArgs (args: $args)
array preferredTypes (supported_types: $supported_types)
Variables
mixed $ns_alias = 'pape' (line 37)

Redefinition of:

Auth_OpenID_Extension::$ns_alias

mixed $ns_uri = Auth_OpenID_PAPE_NS_URI (line 38)

Redefinition of:

Auth_OpenID_Extension::$ns_uri
  ns_uri: The namespace to which to add the arguments for this

Methods
Constructor Auth_OpenID_PAPE_Request (line 40)
Auth_OpenID_PAPE_Request Auth_OpenID_PAPE_Request ([ $preferred_auth_policies = null], [ $max_auth_age = null])

- $preferred_auth_policies
- $max_auth_age

addPolicyURI (line 60)

Add an acceptable authentication policy URI to this request

This method is intended to be used by the relying party to add acceptable authentication types to the request.

policy_uri: The identifier for the preferred type of authentication.

void addPolicyURI ( $policy_uri)

- $policy_uri

fromOpenIDRequest (line 85)

Instantiate a Request object from the arguments in a checkid_*

OpenID message

void fromOpenIDRequest ( $request)

- $request

getExtensionArgs (line 67)
void getExtensionArgs ()

Redefinition of:

Auth_OpenID_Extension::getExtensionArgs()
  Get the string arguments that should be added to an OpenID message for this extension.

parseExtensionArgs (line 104)

Set the state of this request to be that expressed in these PAPE arguments

void parseExtensionArgs (args: $args)

- args: $args: The PAPE arguments without a namespace

preferredTypes (line 142)

Given a list of authentication policy URIs that a provider supports, this method returns the subsequence of those types that are preferred by the relying party.

- return: The sub-sequence of the supported types that are preferred by the relying party. This list will be ordered in the order that the types appear in the supported_types sequence, and may be empty if the provider does not prefer any of the supported authentication types.

array preferredTypes (supported_types: $supported_types)

- supported_types: $supported_types: A sequence of authentication policy type URIs that are supported by a provider

#### Inherited Methods

Inherited From Auth_OpenID_Extension

> Auth_OpenID_Extension::getExtensionArgs()
> Auth_OpenID_Extension::toMessage()

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2